Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » How to build EclipseLink 2.7.0
How to build EclipseLink 2.7.0 [message #1734778] Sun, 12 June 2016 04:09
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
I downloaded eclipselink from here https://github.com/eclipse/eclipselink.runtime . There are a lot of subprojects in it. Some of them can be built using maven, some with ant and some with gradle.

However, org.eclipse.persistence.core which I want to build is maven project. But when I try to build it (either parent project) I get exception:

  Scanning for projects...
    Computing target platform for MavenProject: org.eclipse.persistence:org.eclipse.persistence.jpa.jpql:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/jpa/org.eclipse.persistence.jpa.jpql/pom.xml
    Fetching p2.index from http://download.eclipse.org/tools/orbit/downloads/drops/R20130827064939/repository/ (0B at 0B/s)
    Adding repository http://download.eclipse.org/tools/orbit/downloads/drops/R20130827064939/repository
    Fetching p2.index from http://download.eclipse.org/releases/luna/ (0B at 0B/s)
    Adding repository http://download.eclipse.org/releases/luna
    Fetching p2.index from http://download.eclipse.org/releases/luna/201406250900/ (0B at 0B/s)
    Fetching p2.index from http://download.eclipse.org/releases/luna/201409261001/ (0B at 0B/s)
    Fetching p2.index from http://download.eclipse.org/releases/luna/201501121000/ (0B at 0B/s)
    Fetching p2.index from http://download.eclipse.org/releases/luna/201502271000/ (0B at 0B/s)
    Resolving dependencies of MavenProject: org.eclipse.persistence:org.eclipse.persistence.jpa.jpql:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/jpa/org.eclipse.persistence.jpa.jpql/pom.xml
    Resolving class path of MavenProject: org.eclipse.persistence:org.eclipse.persistence.jpa.jpql:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/jpa/org.eclipse.persistence.jpa.jpql/pom.xml
    Computing target platform for MavenProject: org.eclipse.persistence:org.eclipse.persistence.core:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/foundation/org.eclipse.persistence.core/pom.xml
    Resolving dependencies of MavenProject: org.eclipse.persistence:org.eclipse.persistence.core:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/foundation/org.eclipse.persistence.core/pom.xml
    {osgi.os=linux, osgi.ws=gtk, org.eclipse.update.install.features=true, osgi.arch=x86_64}
    Cannot resolve project dependencies:
      Software being installed: org.eclipse.persistence.core 2.7.0.qualifier
      Missing requirement: org.eclipse.persistence.core 2.7.0.qualifier requires 'bundle org.eclipse.persistence.antlr 3.5.2' but it could not be found
    
    See http://wiki.eclipse.org/Tycho/Dependency_Resolution_Troubleshooting for help.
    Cannot resolve dependencies of MavenProject: org.eclipse.persistence:org.eclipse.persistence.core:2.7.0-SNAPSHOT @ /home/TEMP/eclipselink.runtime-master/foundation/org.eclipse.persistence.core/pom.xml: See log for details -> [Help 1]
    
    To see the full stack trace of the errors, re-run Maven with the -e switch.
    Re-run Maven using the -X switch to enable full debug logging.
    
    For more information about the errors and possible solutions, please read the following articles:
    [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MavenExecutionException

The jar org.eclipse.persistence.antlr 3.5.2 is already in zip I downloaded and there are besides sources of it, which can be built using ant. And I could add this jar as dependency but I don't think this is the right way - because there are a lot of jars inside this zip.

[Updated on: Sun, 12 June 2016 18:46]

Report message to a moderator

Previous Topic:EclipseLink Static Weaving Maven Plugin Lifecycle Mapping Problem
Next Topic:Is EclipseLink forum dead?
Goto Forum:
  


Current Time: Mon Dec 11 22:59:39 GMT 2017

Powered by FUDForum. Page generated in 0.01452 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software